Draft Rectangle: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updated Docnav, MenuLocation and Usage.)
Line 1: Line 1:
<languages/>
<languages/>
<translate>
<translate>

<!--T:18-->
<!--T:18-->
{{Docnav
{{Docnav
|[[Draft_Ellipse|Ellipse]]
|[[Draft_Polygon|Polygon]]
|[[Draft_Polygon|Polygon]]
|[[Draft_Text|Text]]
|[[Draft_Module|Draft]]
|[[Draft_Module|Draft]]
|IconL=Draft_Polygon.svg
|IconL=Draft_Ellipse.svg
|IconR=Draft_Text.svg
|IconR=Draft_Polygon.svg
|IconC=Workbench_Draft.svg
|IconC=Workbench_Draft.svg
}}
}}
Line 14: Line 15:
{{GuiCommand
{{GuiCommand
|Name=Draft Rectangle
|Name=Draft Rectangle
|MenuLocation=Draft → Rectangle
|MenuLocation=Drafting → Rectangle
|Workbenches=[[Draft_Module|Draft]], [[Arch_Module|Arch]]
|Workbenches=[[Draft_Module|Draft]], [[Arch_Module|Arch]]
|Shortcut={{KEY|R}} {{KEY|E}}
|Shortcut={{KEY|R}} {{KEY|E}}
Line 38: Line 39:


<!--T:4-->
<!--T:4-->
# There are several ways to invoke the command:
# Press the {{Button|[[Image:Draft_Rectangle.svg|16px]] [[Draft Rectangle|Draft Rectangle]]}} button, or press {{KEY|R}} then {{KEY|E}} keys.
#* Press the {{Button|[[Image:Draft_Rectangle.svg|16px]] [[Draft_Rectangle|Draft Rectangle]]}} button.
#* Select the {{MenuCommand|Drafting → [[Image:Draft_Rectangle.svg|16px]] Rectangle}} option from the menu.
#* Use the keyboard shortcut: {{KEY|R}} then {{KEY|E}}.
# Click a first corner point on the 3D view, or type a [[Draft_Coordinates|coordinate]] and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button.
# Click a first corner point on the 3D view, or type a [[Draft_Coordinates|coordinate]] and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button.
# Click another point on the 3D view that is opposite the first one, or type a [[Draft_Coordinates|coordinate]] and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button.
# Click another point on the 3D view that is opposite the first one, or type a [[Draft_Coordinates|coordinate]] and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button.
Line 61: Line 65:
==Properties== <!--T:6-->
==Properties== <!--T:6-->


=== Data === <!--T:14-->
=== Data ===

<!--T:14-->
* {{PropertyData|Length}}: specifies the length of the shape in the X axis direction.
* {{PropertyData|Length}}: specifies the length of the shape in the X axis direction.
* {{PropertyData|Height}}: specifies the height of the shape in the Y axis direction.
* {{PropertyData|Height}}: specifies the height of the shape in the Y axis direction.
Line 70: Line 76:
* {{PropertyData|Make Face}}: specifies if the shape makes a face or not. If it is {{TRUE}} a face is created, otherwise only the perimeter is considered part of the object.
* {{PropertyData|Make Face}}: specifies if the shape makes a face or not. If it is {{TRUE}} a face is created, otherwise only the perimeter is considered part of the object.


=== View === <!--T:15-->
=== View ===

<!--T:15-->
* {{PropertyView|Pattern}}: specifies a [[Draft Pattern|Draft Pattern]] with which to fill the face of the shape. This property only works if {{PropertyData|Make Face}} is {{TRUE}}, and if {{PropertyView|Display Mode}} is "Flat Lines".
* {{PropertyView|Pattern}}: specifies a [[Draft Pattern|Draft Pattern]] with which to fill the face of the shape. This property only works if {{PropertyData|Make Face}} is {{TRUE}}, and if {{PropertyView|Display Mode}} is "Flat Lines".
* {{PropertyView|Pattern Size}}: specifies the size of the [[Draft Pattern|Draft Pattern]].
* {{PropertyView|Pattern Size}}: specifies the size of the [[Draft Pattern|Draft Pattern]].
Line 76: Line 84:
:The rectangle should have the same proportions as the image to avoid distortions in the mapping.
:The rectangle should have the same proportions as the image to avoid distortions in the mapping.


==Scripting== <!--T:7-->
==Scripting==

<!--T:7-->
{{Emphasis|See also:}} [[Draft API|Draft API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].
{{Emphasis|See also:}} [[Draft API|Draft API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].


Line 110: Line 120:
}}
}}
<translate>
<translate>



<!--T:17-->
<!--T:17-->
{{Docnav
{{Docnav
|[[Draft_Ellipse|Ellipse]]
|[[Draft_Polygon|Polygon]]
|[[Draft_Polygon|Polygon]]
|[[Draft_Text|Text]]
|[[Draft_Module|Draft]]
|[[Draft_Module|Draft]]
|IconL=Draft_Polygon.svg
|IconL=Draft_Ellipse.svg
|IconR=Draft_Text.svg
|IconR=Draft_Polygon.svg
|IconC=Workbench_Draft.svg
|IconC=Workbench_Draft.svg
}}
}}
Line 124: Line 135:
{{Draft Tools navi{{#translation:}}}}
{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Revision as of 19:45, 15 March 2021

Draft Rectangle

Menu location
Drafting → Rectangle
Workbenches
Draft, Arch
Default shortcut
R E
Introduced in version
0.7
See also
Draft Ellipse, Part Box

Description

The Rectangle tool creates a rectangle by picking two points. It uses the Draft Linestyle set on the Draft Tray.

You can optionally add a 45 degree chamfer or circular fillet to every corner of the rectangle, and you can divide the rectangle into a series of equal-sized rows and columns.

Rectangle defined by the two corner points

Usage

  1. There are several ways to invoke the command:
    • Press the Draft Rectangle button.
    • Select the Drafting → Rectangle option from the menu.
    • Use the keyboard shortcut: R then E.
  2. Click a first corner point on the 3D view, or type a coordinate and press the add point button.
  3. Click another point on the 3D view that is opposite the first one, or type a coordinate and press the add point button.
The second point must not be constrained to the X, Y, or Z axes, or the resulting rectangle will be malformed.

The rectangle can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit button. Then you can move the points to a new position.

The length and width of the rectangle can be changed after creation by changing its properties.

Options

  • To enter coordinates manually, simply enter the numbers, then press Enter between each X, Y and Z component. You can press the add point button when you have the desired values to insert the point.
  • Press R or click the checkbox to toggle relative mode. If relative mode is on, the coordinates of the second point are relative to the first one; if not, they are absolute, taken from the origin (0,0,0).
  • Press T or click the checkbox to toggle continue mode. If continue mode is on, the Rectangle tool will restart after you give the second point, allowing you to draw another rectangle without pressing the tool button again.
  • Press L or click the checkbox to toggle filled mode. If filled mode is on, the rectangle will create a filled face (DataMake Face true); if not, the rectangle will not make a face (DataMake Face false).
  • Hold Ctrl while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press Esc or the Close button to abort the current command.

Properties

Data

  • DataLength: specifies the length of the shape in the X axis direction.
  • DataHeight: specifies the height of the shape in the Y axis direction.
  • DataChamfer Size: specifies the diagonal length of the 45° chamfer at each corner of the rectangle.
  • DataFillet Radius: specifies the radius of the 90° fillet at each corner of the rectangle.
  • DataRows: specifies the number of equal-sized rows in which the original shape is divided; by default, 1 row.
  • DataColumns: specifies the number of equal-sized columns in which the original shape is divided; by default, 1 column.
  • DataMake Face: specifies if the shape makes a face or not. If it is true a face is created, otherwise only the perimeter is considered part of the object.

View

  • ViewPattern: specifies a Draft Pattern with which to fill the face of the shape. This property only works if DataMake Face is true, and if ViewDisplay Mode is "Flat Lines".
  • ViewPattern Size: specifies the size of the Draft Pattern.
  • ViewTexture Image: specifies the path to an image file to be mapped on the face of the shape. Blanking this property will remove the image.
The rectangle should have the same proportions as the image to avoid distortions in the mapping.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The Rectangle tool can be used in macros and from the Python console by using the following function:

Rectangle = makeRectangle(length, height, placement=None, face=None, support=None)
  • Creates a Rectangle object with length in the X direction and height in the Y direction, with units in millimeters.
    • The length will be parallel to the X axis if no other placement in given.
  • If a placement is given, it is used; otherwise the shape is created at the origin.
  • If face is True, the shape will make a face, that is, it will appear filled.

Example:

import FreeCAD, Draft

Rectangle1 = Draft.makeRectangle(4000, 1000)
Rectangle2 = Draft.makeRectangle(1000, 4000)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 45))

Rectangle3 = Draft.makeRectangle(3500, 250, placement=place3)